from ZPublisher.HTTPRequest import record

# Product Dependencies
DEPENDENCIES = [
    'ATReferenceBrowserWidget'
]

# View Methods for each portal type
VIEW_METHODS = {
#  'Folder' : ( 'folder_summary_view', 'atct_album_view', 'events_listing'),
#  'Topic'  : ( 'folder_summary_view', 'news_listing' ),
#  'RichDocument' : ( 'rd_standardseite', ),
}
# Actions
ACTIONS = {
#  'portal_actions' : [
#    { 'id':'full_screen', 'visible': False },
#    { 'id':'accessibility', 'category' : 'byline_actions', 'visible':True },
#    { 'id':'sendto', 'title':'pool_sendto', 'category' : 'byline_actions', 'visible':True },
#    { 'id':'print', 'title':'pool_print', 'category' : 'byline_actions', 'visible':True , },
#    { 'id':'contact', 'category' : 'byline_actions', 'visible' : False },
#    { 'id':'plone_setup', 'category' : 'user', 'visible':True },
#  ],                     
#  'portal_membership' : [
#    { 'id':'logout', 'category' : 'user', 'visible':True },
#    { 'id':'login', 'category' : 'user', 'visible':True },
#    { 'id':'preferences', 'visible':False },
#    { 'id':'mystuff', 'visible':False },
#  ],
}
ADD_ACTIONS = [
  { 'id':'kbanneradmin', 
    'name' : 'Banner Administration', # must be name here - not title
    'category' : 'user', 
    'visible':True, 
    'action':"string:$portal_url/portal_banneradmin",
    'condition':'python:portal.portal_membership.checkPermission("Manage portal",here)',
  },
]

# Extra Indexes for the ZCatalog
viewmacroIndex_extra = record()
viewmacroIndex_extra.indexed_attrs = 'getViewMacro'

catalog_indexes = (
    { 'name'      : 'getViewMacro',
      'type'      : 'FieldIndex',
      'extra'     : viewmacroIndex_extra,
    },
)

# Extra ZCatalog Metadata
catalog_metadata = (
  'getPercent',
  'getClicks',
  'getClicksUsed',
)