## Script (Python) "getFilteredBanner"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=macro
##title=Detects Filter Mode
##
import random
from DateTime import DateTime

banners = context.portal_catalog( portal_type='Banner',
                                  getViewMacro=macro,
                                  effectiveRange=DateTime(),
                                )
bannerPool = []
pl = context.plone_log
pl([item.Title for item in banners])

for banner in banners:
  percentage = banner.getPercent
  
  # dont show banner if all clicks were used pr the banner is outdated
  if banner.getClicksUsed < banner.getClicks:
    for i in range(percentage):
      bannerPool.append(banner)

# returning random catalog brain
if bannerPool:
  return random.choice(bannerPool)
else:
  pass
